searchData={"items":[{"type":"module","title":"NLdoc.Test.EmptyText","doc":"This module provides a list of strings that are considered empty texts, i.e. they are non-discernable: they are either invisible or look like whitespace.","ref":"NLdoc.Test.EmptyText.html"},{"type":"function","title":"NLdoc.Test.EmptyText.all/0","doc":"Forms of empty texts for use in tests.","ref":"NLdoc.Test.EmptyText.html#all/0"},{"type":"function","title":"Examples - NLdoc.Test.EmptyText.all/0","doc":"iex> NLdoc.Test.EmptyText.all() |> Enum.member?(\" \")\n    true","ref":"NLdoc.Test.EmptyText.html#all/0-examples"},{"type":"module","title":"NLdoc.Test.Logs","doc":"This module helps with capturing log output in tests.","ref":"NLdoc.Test.Logs.html"},{"type":"function","title":"NLdoc.Test.Logs.capture/2","doc":"Captures logs produced by the given function and returns them as a string.\n\nThe logs could be formatted using the formatter settings as set in `config/config.exs`,\n`config/config_test.exs` plus what is configured at runtime. By default, that means\nthe logs could be formatted as Elastic Common Schema (ECS) JSON. Use `decode/1` to\nJSON decode the logs.","ref":"NLdoc.Test.Logs.html#capture/2"},{"type":"function","title":"Examples - NLdoc.Test.Logs.capture/2","doc":"iex> require Logger\n    iex> logs = :info |> NLdoc.Test.Logs.capture(fn -> Logger.info(\"Hello\") end)\n    iex> logs |> String.contains?(\"[info] Hello\")\n    true","ref":"NLdoc.Test.Logs.html#capture/2-examples"},{"type":"function","title":"NLdoc.Test.Logs.decode/1","doc":"Decodes each line in the given log string with `Jason.decode/1`.","ref":"NLdoc.Test.Logs.html#decode/1"},{"type":"function","title":"Examples - NLdoc.Test.Logs.decode/1","doc":"iex> logs = \"{\\\"message\\\": \\\"test\\\"}\\n{\\\"message\\\": \\\"another test\\\"}\\n\\n\"\n    iex> logs |> NLdoc.Test.Logs.decode()\n    [%{\"message\" => \"test\"}, %{\"message\" => \"another test\"}]\n    iex> [%{\"message\" => \"test\"}] |> match?(logs |> NLdoc.Test.Logs.decode())","ref":"NLdoc.Test.Logs.html#decode/1-examples"},{"type":"function","title":"NLdoc.Test.Logs.with_capture/2","doc":"Captures logs produced by the given function and returns them as a string,\nalongside the return value of the given function.\n\nThe logs could be formatted using the formatter settings as set in `config/config.exs`,\n`config/config_test.exs` plus what is configured at runtime. By default, that means\nthe logs could be formatted as Elastic Common Schema (ECS) JSON. Use `decode/1` to\nJSON decode these logs.","ref":"NLdoc.Test.Logs.html#with_capture/2"},{"type":"function","title":"Examples - NLdoc.Test.Logs.with_capture/2","doc":"iex> require Logger\n    iex> {result, logs} = NLdoc.Test.Logs.with_capture(:info, fn ->\n    ...>   Logger.info(\"Hello\")\n    ...>   2 + 2\n    ...> end)\n    iex> result\n    4\n    iex> logs |> String.contains?(\"[info] Hello\")\n    true","ref":"NLdoc.Test.Logs.html#with_capture/2-examples"},{"type":"module","title":"NLdoc.Test.Snapshot","doc":"This module provides snapshot testing functionality for ExUnit tests.","ref":"NLdoc.Test.Snapshot.html"},{"type":"function","title":"NLdoc.Test.Snapshot.assert_snapshot/3","doc":"Asserts that the actual value matches the expected value saved in a snapshot file.\nThe actual value is always saved (inspect/2 with pretty: true) to a file named `actual.exs`.","ref":"NLdoc.Test.Snapshot.html#assert_snapshot/3"},{"type":"function","title":"Options - NLdoc.Test.Snapshot.assert_snapshot/3","doc":"* `:save_expected` - Save the actual value as the expected value for the snapshot. This overwrites the existing expected value.\n* `:format` - Format the actual value in specific format. Currently supports `:exs` and `:json`.","ref":"NLdoc.Test.Snapshot.html#assert_snapshot/3-options"},{"type":"type","title":"NLdoc.Test.Snapshot.destination/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:destination/0"},{"type":"type","title":"NLdoc.Test.Snapshot.filetype/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:filetype/0"},{"type":"function","title":"NLdoc.Test.Snapshot.format_how_to_update_expected/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_how_to_update_expected/2"},{"type":"function","title":"NLdoc.Test.Snapshot.format_snapshot_does_not_match/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_snapshot_does_not_match/2"},{"type":"function","title":"NLdoc.Test.Snapshot.format_snapshot_not_found/2","doc":"","ref":"NLdoc.Test.Snapshot.html#format_snapshot_not_found/2"},{"type":"function","title":"NLdoc.Test.Snapshot.load_snapshot!/2","doc":"","ref":"NLdoc.Test.Snapshot.html#load_snapshot!/2"},{"type":"type","title":"NLdoc.Test.Snapshot.opt/0","doc":"","ref":"NLdoc.Test.Snapshot.html#t:opt/0"},{"type":"function","title":"NLdoc.Test.Snapshot.save_snapshot/4","doc":"","ref":"NLdoc.Test.Snapshot.html#save_snapshot/4"},{"type":"function","title":"NLdoc.Test.Snapshot.snapshot_path/3","doc":"","ref":"NLdoc.Test.Snapshot.html#snapshot_path/3"},{"type":"extras","title":"NLdoc.Test","doc":"# NLdoc.Test\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - NLdoc.Test","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `nldoc_test` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:nldoc_test, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"},{"type":"extras","title":"1.2.0 (2025-01-23)","doc":"# [1.2.0](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/compare/1.1.0...1.2.0) (2025-01-23)","ref":"changelog.html"},{"type":"extras","title":"Features - 1.2.0 (2025-01-23)","doc":"* **NLD-586:** EmptyText ([05dd39b](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/05dd39b26662402a64f30abb57fb241de2b8cfd2))\n\n# [1.1.0](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/compare/1.0.1...1.1.0) (2025-01-23)","ref":"changelog.html#features"},{"type":"extras","title":"Features - 1.2.0 (2025-01-23)","doc":"* **NLD-586:** Logic for testing logging ([d98d4fe](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/d98d4fe522f1d810842c74287d47e01f96daef64))\n\n## [1.0.1](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/compare/1.0.0...1.0.1) (2025-01-23)","ref":"changelog.html#features"},{"type":"extras","title":"Bug Fixes - 1.2.0 (2025-01-23)","doc":"* formatting ([4967d05](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/4967d05fe0ba18702d879f1a8dee5e055c7c1752))\n\n# 1.0.0 (2025-01-23)","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Bug Fixes - 1.2.0 (2025-01-23)","doc":"* **docs:** main ([3ecfc16](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/3ecfc167dca3a7a98d29494c294340d4ffa1de1d))","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Features - 1.2.0 (2025-01-23)","doc":"* finalize lib ([5be2735](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/5be2735ab4af6136cb7a943f5b834d10efccc2d0))\n* finalize wrapping logic in package ([9b06231](https://gitlab.com/toegang-voor-iedereen/backend/lib/nldoc_test/commit/9b0623184f258c174b147888ecb374f10c152071))","ref":"changelog.html#features"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}